# Introduction

This is a helper tool for fetch content from TYPO3 Flow / Neos installation on a remote server to your local computer running with docker.

# Dependency

This is requires that your TYPO3 Flow / Neos installation is configured to run with `dockerflow` package. See https://github.com/Sebobo/Shel.DockerFlow

# Installation

Add the `syncontent` package into your `composer.json` file and update `composer.lock`. It is recommended to add in the `require-dev` section of your composer.

```
"visay/syncontent": "dev-master"
```

# Usage

In the root directory of your project, execute:

```bash
bin/syncontent latest-014-073
```

- Replace the user `latest-014-073` with the one you want to get content from.
- You need to make sure that you have auto login with public key to `latest-014-073@10.10.10.27`
- Only `latest` or `demo` is supported at the moment. We don't recommend you to have autologin access to the live site
- You can only run the command from the root directory of your project

## Customization

If you are lazy typing the user again and again, you can define it by creating a file at `Configuration/.syncontent` with the user as the only content inside

```Configuration/.syncontent
latest-014-073
```

With this file, you can now execute the content sync with just:

```bash
bin/syncontent
```

# Author

Visay Keo <visay@web-essentials.asia>

If you have any feedback, comments and/or questions, feel free to contact with email address above. And of course, a merge request is always welcome.